Subject: Re: bug#59676: 30.0.50; package-report-bug fails getting maintainer address

From: Philip Kaludercic <[email-masked]>
Date: Wed, 30 Nov 2022 20:39:08 +0000

Eshel Yaron <[email-masked]> writes:

>> Ok, I have pushed a commit with these changes.  Thank for confirming the
>> fix, I'll be closing this report then.
>
> Great, thank you!
>
>> The thing I am confused about is that package.el ought to be autoloaded
>> itself, or am I mistaken in that assumption?
>
> I'm not sure I understand what it'd mean for package.el to be autoloaded
> (in contrast to, say, certain functions in package.el).  I can say for
> sure that package-report-bug is not autoloaded though, in the sense that
> trying to call it before loading package.el yields a void-function
> error.

In that case I was mistaken.  I know that packages are loaded without
the user explicitly requesting for this to happen, so I guess I inferred
from this that package.el is always loaded?